API Reference
Payroll
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/payroll JWT API KeyGet payroll
Query parameters
| Year integer (int32) | — |
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/payroll" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/payroll JWT API KeyCreate payroll
Request body
application/json
{
"month": 0,
"year": 0
}| month integer (int32) | — |
| year integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/payroll" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"month": 0,
"year": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/hr/payroll/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/payroll/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/payroll/{id}/approve JWT API KeyCreate approve
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/payroll/{id}/approve" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/payroll/{id}/pay JWT API KeyCreate pay
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/payroll/{id}/pay" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/hr/payroll/payslips/{payslipId} JWT API KeyUpdate payslipId
Path parameters
| payslipIdrequired string (uuid) | — |
Request body
application/json
{
"bonuses": 0,
"commissions": 0,
"deductions": 0,
"note": "string"
}| bonuses integer (int64) | — |
| commissions integer (int64) | — |
| deductions integer (int64) | — |
| note string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/payroll/payslips/{payslipId}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"bonuses": 0,
"commissions": 0,
"deductions": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu